USN-6203-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6203-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6203-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6203-1
Related
Published
2023-07-05T11:23:04.712547Z
Modified
2023-07-05T11:23:04.712547Z
Summary
python-django vulnerability
Details

Seokchan Yoon discovered that Django incorrectly handled certain regular expressions. A remote attacker could possibly use this issue to cause Django to consume resources, leading to a denial of service.

References

Affected packages

Ubuntu:20.04:LTS / python-django

Package

Name
python-django

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:2.2.12-1ubuntu0.18

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python-django-doc": "2:2.2.12-1ubuntu0.18",
            "python3-django": "2:2.2.12-1ubuntu0.18"
        }
    ]
}

Ubuntu:22.04:LTS / python-django

Package

Name
python-django

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:3.2.12-2ubuntu1.7

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python-django-doc": "2:3.2.12-2ubuntu1.7",
            "python3-django": "2:3.2.12-2ubuntu1.7"
        }
    ]
}